/****************************************************************************
	Bagotronix
	1019 Crossing Brook Way
	Tallahassee, FL 32311

	(C) Copyright 1996 Bagotronix
	All rights reserved

	Filename:  		csfc8255.h
	Programmer(s):	Ivan Baggett
	Description:	Sunflower C(tm) library
					8255 Peripheral Interface Adapter functions header file
	comments:		all functions use only Mode 0 (basic input/output)
	revisions:		7/17/96
****************************************************************************/


#ifndef	CSFC8255_ALREADY_INCLUDED
#define CSFC8255_ALREADY_INCLUDED

#define _8255_PORTA     0
#define _8255_PORTB     1
#define _8255_PORTC     2
#define _8255_CONTROL   3


#ifdef __cplusplus
	extern "C" {
#endif

void _8255_init (IOPARMS *,	BOOLEAN, BOOLEAN, BOOLEAN, BOOLEAN);
UBYTE _8255_get (IOPARMS *, UBYTE);
UBYTE _8255_put (IOPARMS *, UBYTE, UBYTE);
BOOLEAN _8255_getbit (IOPARMS *, UBYTE, UBYTE);
BOOLEAN _8255_putbit (IOPARMS *, UBYTE, UBYTE, BOOLEAN);

#ifdef __cplusplus
	}
#endif

#endif
